# Use IaC custom rules with CLI

{% hint style="info" %}
Ensure you have followed the steps in [Getting Started with the SDK](../../../../scan-infrastructure/custom-rules/writing-rules-using-the-sdk/) to learn how to generate a bundle of your rules.
{% endhint %}

With Snyk IaC, you can test your configuration files with the CLI using your custom rules.

There are two ways to use your built bundle:

* [Using a local custom rules bundle](using-a-local-custom-rules-bundle.md) stored on your disk.
* [Using a remote custom rules bundle](using-a-remote-custom-rules-bundle.md) by configuring a remote OCI Registry, where your custom rules bundle is already stored.
